# unsafe\_moveCall

#### **Parameters:**

**signer< SuiAddress >** - The transaction signer's Sui address&#x20;

**package\_object\_id< ObjectID >** - The Move package ID, e.g. `0x2`

**module< string >** - The Move module name, e.g. `pay`

**function< string >** - The move function name, e.g. `split`

**type\_arguments<\[ TypeTag ]>** - The type arguments of the Move function

**arguments<\[ SuiJsonValue ]>** - The arguments to be passed into the Move function, in [SuiJson](https://docs.sui.io/build/sui-json) format

**gas< ObjectID >** - Gas object to be used in this transaction, node will pick one from the signer's possession if not provided&#x20;

**gas\_budget< BigInt\_for\_uint64 >** - The gas budget, the transaction will fail if the gas cost exceed the budget&#x20;

**execution\_mode< SuiTransactionBlockBuilderMode >** - Whether this is a Normal transaction or a Dev Inspect Transaction. Default to be `SuiTransactionBlockBuilderMode::Commit` when it's None.

#### **Returns:**

TransactionBlockBytes< TransactionBlockBytes >

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl  https://sui.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" 
--data 
'<as described above>'

// Result

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/sui/json/unsafe_movecall.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
